* repsetup.inc

DISPLAY "#### START: repsetup.inc";

SET
  trnt    time periods used in genuine savings definition (not a subset of t)
  /0*100/

  igdp(maccol)          items for GDP and national accounts
    /
      Absorption        total absorption
      PrvCon            private consumption
      FixInv            fixed investment
      PrvFixInv         private fixed investment
      GovFixInv         government fixed investment
      StockChange       change in inventories                                
      GovCon            government consumption                        
      Exports           exports                                       
      Imports           imports                                       
      GDPMP             GDP at market prices (alt. 1: spending)       
      GDPMP_alt         GDP at market prices (alt. 2: value-added)    
      NetIndTax         net indirect taxes                            
      GDPFC             GDP at factor cost                            

    /

  igdpexp(maccol)
    /
      GNI 
      GNDI
      GNSAV
      DeprCap           depreciation of physical capital
      DeplForStock      depletion of forest resources
      DeplMinStock      depletion of mineral resources
      EmiVal            value of CO2 damages

      GenuineSavProx    Genuine Savings Indicator
      
    
    /


  igdp2(igdp)    items for GDPMP summation
    /
      PrvCon
      FixInv
      StockChange
      GovCon
      Exports    
      Imports    
    /

  kgdp           second index in GDP tables
    /Nominal, Real, GDPshr, GDPshr-Real, NomFCU, shrTOT, RealPC, SPNDshr, VOL, deflator, RealDOL/

  elecol  
    /OutputVolume, VAnom, VAreal, GDPshr, shrTOT, SupPrice/
    
  sectorcol
    /
   VAshr         value-added share (%)
   PRDshr        production share (%)
   EMPshr        share in total employment (%)
   EXPshr        sector share in total exports (%)
   EXP-OUTshr    exports as share in sector output (%)
   IMPshr        sector share in total imports (%)
   IMP-DEMshr    imports as share of domestic demand (%)
    /

  sectorcol1(sectorcol)
    /
   VAshr       value-added share (%)
   PRDshr      production share (%)
   EMPshr      share in total employment (%)
   EXPshr      sector share in total exports (%)
   IMPshr      sector share in total imports (%)
    /  
  
  sectorcol2(sectorcol)
    /
   EXP-OUTshr           exports as share in sector output (%)
   IMP-DEMshr           imports as share of domestic demand (%)
    /  

  sectorcol3
    /
   VA          value-added
   EXP         exports
   IMP         imports
   DOM         domestic sales
   EMP         employment   
   Output      output
   VAshr       value-added share (%)
    /

  taxcol
    /
    TaxRev
    shrTaxRev
    GDPshr
    /

  fiscalcol
    /
    IncCur-DirTax         income current - tax income
    IncCur-FacTax         income current - tax factor income 
    IncCur-FacActTax      income current - tax factor use
    IncCur-ActTax         income current - tax activities
    IncCur-CO2Tax         income current - tax CO2 emissions
    IncCur-ComTax         income current - tax commodities
    IncCur-VACTax         income current - tax value added (VAT)
    IncCur-ImpTax         income current - tax imports
    IncCur-ExpTax         income current - tax exports
    IncCur-TaxUse         income current - tax commodities
    IncCur-TrnsfrDom      income current - transfer domestic
    IncCur-TrnsfrFor      income current - transfer foreign
    IncCur-FacInc         income current - factor income
    IncCur-Regul          income current - regul
    IncCur-Total          income current - total
                         
    SpndCur-Con           spending current - consumption
    SpndCur-TrnsfrDom     spending current - transfer domestic
    SpndCur-TrnsfrFor     spending current - transfer foreign
    SpndCur-ComSub        spending current - subsidy commodities
    SpndCur-Total         spending current - total

    GovSav                savings
    SpndCap-FixInv        spending capital - fixed investment
    SpndCap-StockChange   spending capital - fixed investment
    GovSurp               surplus
    IncCap-NetDomFin      income capital - net domestic financig
    IncCap-NetForFin      income capital - net foreign financig 
    Inc-Total             income - total
    Spnd-Total            spending - total
   
    /  
    
  fiscalcol1(fiscalcol)
    /
    IncCur-DirTax        
    IncCur-FacTax
    IncCur-FacActTax
    IncCur-ActTax
    IncCur-CO2Tax
    IncCur-ComTax
    IncCur-VACTax
    IncCur-ImpTax
    IncCur-ExpTax
    IncCur-TaxUse
    IncCur-TrnsfrDom
    IncCur-TrnsfrFor
    IncCur-FacInc
    IncCur-Regul

    IncCap-NetDomFin
    IncCap-NetForFin

    /  
    
  fiscalcol2(fiscalcol)
    /
    SpndCur-Con
    SpndCur-ComSub
    SpndCur-TrnsfrDom
    SpndCur-TrnsfrFor
    
    SpndCap-FixInv
    SpndCap-StockChange

    
    /  

    
  bopcol
    /
* inflows
    InCur-Exports                inflows of foreign exchange current - exports
    InCur-Tourism                inflows of foreign exchange current - exports
    InCur-Trnsfr-NoGov           inflows of foreign exchange current - transfer private
    InCur-Trnsfr-Gov             inflows of foreign exchange current - transfer government
    InCur-FacInc                 inflows of foreign exchange current - factor income
    InCur-RowSav                 inflows of foreign exchange current - foreign savings
    InCur-Total                  inflows of foreign exchange current - total
* outflows
    OutCur-Imports               outflows of foreign exchange current - imports
    OutCur-Trnsfr-NoGov          outflows of foreign exchange current - transfer private
    OutCur-Trnsfr-Gov            outflows of foreign exchange current - transfer government
    OutCur-FacInc                outflows of foreign exchange current - factor income
    OutCur-Total                 outflows of foreign exchange current - factor total
 
* net inflows    
    InCap-FDI                    inflows of foreign exchange capital - foreign direct investment
    InCap-NetForFin-NoGov        inflows of foreign exchange capital - net foreign financing private
    InCap-NetForFin-Gov          inflows of foreign exchange capital - net foreign financing government
    InCap-NetForFin-Total        inflows of foreign exchange capital - net foreign financing total
    / 
    
  bopcol1(bopcol)
    /
    InCur-Exports
    InCur-Tourism
    InCur-Trnsfr-NoGov
    InCur-Trnsfr-Gov
    InCur-FacInc
    InCur-RowSav

    / 

  bopcol2(bopcol)
    /
    OutCur-Imports
    OutCur-Trnsfr-NoGov
    OutCur-Trnsfr-Gov
    OutCur-FacInc
    / 


  sseccol
  /
  IncCurSSEC-FacActTax
  IncCurSSEC-FacInc
  IncCurSSEC-TrnsfrGov
  IncCurSSEC-TrnsfrDomNGov
  IncCurSSEC-TrnsfrRow
  
  IncCurSSEC-Total
  SpndCurSSEC-Con
  SpndCurSSEC-TrnsfrGov
  SpndCurSSEC-TrnsfrDomNGov
  SpndCurSSEC-TrnsfrRow
  
  SpndCurSSEC-Total
  SavSSEC
  /

  sseccol1(sseccol)
  /
  IncCurSSEC-FacActTax
  IncCurSSEC-FacInc  
  IncCurSSEC-TrnsfrGov
  IncCurSSEC-TrnsfrDomNGov
  IncCurSSEC-TrnsfrRow  
  /

  sseccol2(sseccol)
  /
  SpndCurSSEC-Con
  SpndCurSSEC-TrnsfrGov
  SpndCurSSEC-TrnsfrDomNGov
  SpndCurSSEC-TrnsfrRow
    
  /




    
  tradcol
    /
    exp-cntry-shr
    imp-cntry-shr
    exp-com-shr
    imp-com-shr

    EXPvol
    IMPvol
    t-imp
    t-imp-socio
    
    /
    
  inccol    
    /
    
    POPshr

    INCshr
    CONshr

    INCpc
    CONpc

    INCval
    ENDOWval
    ENDOWshr    
    /




  spndcol 
    /
    SPNDshr
    SPNDval
    /
    
  demcol
    /
    IntermCon         intermediate consumption
    DistMarg          distribution margins
    PrvCon            private consumption
    GovCon            government consumption
    FixInv            fixed investment
    StockChange       change in inventories     
    Exports           exports
    TotDem            total
    /

  debtcol
    /
    NonGov-ForDebt-GDPshr     foreign debt private - GDP share
    Gov-ForDebt-GDPshr        foreign debt government - GDP share
    Gov-DomDebt-GDPshr        domestic debt government - GDP share
   
    /
    
  ac2    todas las cuentas de la macrosam
    /
      act2       activities
      com2       commodities
      fac2       factors
      lab2       labor
      cap2       capital
      imp2       importaciones
      hhd2       domestic non-gov institution (households + enterprises)
      gov2       current government
      row2       rest of world
      tax2       taxes
      s-i2       savings investment account
      total2     totals
    
    /

  solcol
    /
solvestat
modelstat    
    /        

  emicol
    /
    EmiVol       emissions volume
    EmiSHR-ByUser       emissions share 
    EmiSHR-ByCommodity       emissions share 
    /

  dsam(ac)    same as d but applied to simsam
  
  

  ac2nt(ac2)  todas las cuentas de la macrosam excepto total

;

ac2nt(ac2) = YES;
ac2nt('total2') = NO;

ALIAS (ac2p,ac2), (ac2ntp,ac2nt), (dsam,dsamp);

dsam(ac)$d(ac) = YES;
dsam(ac)$inv(ac) = YES;


PARAMETER

* level endogenous variables (name of variable  + X)  
* % deviation from baseline result (name of variable + XP)
* average % annual growth rates bt tmin and tmax (name of variable + XPP)
* average % annual growth rates bt tminrep and tmaxrep (name of variable + XPPREP)
* % annual growth from preceding period (name of variable + XPY)

  
  gdpindic(igdp,kgdp,t,sim)    GDP table (level)
  gdpindicXP(igdp,kgdp,t,sim)    GDP table (% deviation from base in t)
  gdpindicXPP(igdp,kgdp,sim)    GDP table (avg annual % growth tmin – tmax)
  gdpindicXPPREP(igdp,kgdp,sim)    GDP table (avg annual % growth tminrep – tmaxrep)
  gdpindicXPY(igdp,kgdp,t,sim)    GDP table (annual % growth from t-1)

  gdpexpindic(maccol,kgdp,t,sim)             expanded gdp table (level)
  gdpexpindicxp(maccol,kgdp,t,sim)           expanded gdp table (% deviation from base in t)
  gdpexpindicxpp(maccol,kgdp,sim)          expanded gdp table (avg annual % growth tmin – tmax)
  gdpexpindicxpy(maccol,kgdp,t,sim)          expanded gdp table (annual % growth from t-1) 
  gdpexpindicxpprep(maccol,kgdp,sim)       expanded gdp table (avg annual % growth tminrep – tmaxrep)

  hhdconindic(ac,acp,kgdp,t,sim)    household consumption indicators (level)
  hhdconindicXP(ac,acp,kgdp,t,sim)    household consumption indicators (% deviation from base in t)
  hhdconindicXPP(ac,acp,kgdp,sim)    household consumption indicators (avg annual % growth tmin – tmax)
  hhdconindicXPPREP(ac,acp,kgdp,sim)    household consumption indicators (avg annual % growth tminrep – tmaxrep)
  hhdconindicXPY(ac,acp,kgdp,t,sim)    household consumption indicators (annual % growth from t-1)

  hhdconindic2(acrep,acrep,kgdp,t,sim)    household consumption indicators (level)
  hhdconindic2XP(acrep,acrep,kgdp,t,sim)    household consumption indicators (% deviation from base in t)
  hhdconindic2XPP(acrep,acrep,kgdp,sim)    household consumption indicators (avg annual % growth tmin – tmax)
  hhdconindic2XPPREP(acrep,acrep,kgdp,sim)    household consumption indicators (avg annual % growth tminrep – tmaxrep)
  hhdconindic2XPY(acrep,acrep,kgdp,t,sim)    household consumption indicators (annual % growth from t-1)

  sectorindic(ac,sectorcol3,kgdp,t,sim)    sectoral results (level)
  sectorindicXP(ac,sectorcol3,kgdp,t,sim)    sectoral results (% deviation from base in t)
  sectorindicXPP(ac,sectorcol3,kgdp,sim)    sectoral results (avg annual % growth tmin – tmax)
  sectorindicXPPREP(ac,sectorcol3,kgdp,sim)    sectoral results (avg annual % growth tminrep – tmaxrep)
  sectorindicXPY(ac,sectorcol3,kgdp,t,sim)    sectoral results (annual % growth from t-1)

  sectorindic2(acrep,sectorcol3,kgdp,t,sim)    sectoral results agg (level)
  sectorindic2XP(acrep,sectorcol3,kgdp,t,sim)    sectoral results agg (% deviation from base in t)
  sectorindic2XPP(acrep,sectorcol3,kgdp,sim)    sectoral results agg (avg annual % growth tmin – tmax)
  sectorindic2XPPREP(acrep,sectorcol3,kgdp,sim)    sectoral results agg (avg annual % growth tminrep – tmaxrep)
  sectorindic2XPY(acrep,sectorcol3,kgdp,t,sim)    sectoral results agg (annual % growth from t-1)

  sectorindica(ac,sectorcol3,kgdp,t,sim)    sectoral results by activity (level)
  sectorindicaXP(ac,sectorcol3,kgdp,t,sim)    sectoral results by activity (% deviation from base in t)
  sectorindicaXPP(ac,sectorcol3,kgdp,sim)    sectoral results by activity (avg annual % growth tmin – tmax)
  sectorindicaXPPREP(ac,sectorcol3,kgdp,sim)    sectoral results by activity (avg annual % growth tminrep – tmaxrep)
  sectorindicaXPY(ac,sectorcol3,kgdp,t,sim)    sectoral results by activity (annual % growth from t-1)

  sectorindica2(acrep,sectorcol3,kgdp,t,sim)    sectoral results agg by activity (level)
  sectorindica2XP(acrep,sectorcol3,kgdp,t,sim)    sectoral results agg by activity (% deviation from base in t)
  sectorindica2XPP(acrep,sectorcol3,kgdp,sim)    sectoral results agg by activity (avg annual % growth tmin – tmax)
  sectorindica2XPPREP(acrep,sectorcol3,kgdp,sim)    sectoral results agg by activity (avg annual % growth tminrep – tmaxrep)
  sectorindica2XPY(acrep,sectorcol3,kgdp,t,sim)    sectoral results agg by activity (annual % growth from t-1)


  trstindic(kgdp,ac,instrst,t,sim)    tourism indicators (level)
  trstindicXP(kgdp,ac,instrst,t,sim)    tourism indicators (% deviation from base in t)
  trstindicXPP(kgdp,ac,instrst,sim)    tourism indicators (avg annual % growth tmin – tmax)
  trstindicXPPREP(kgdp,ac,instrst,sim)    tourism indicators (avg annual % growth tminrep – tmaxrep)
  trstindicXPY(kgdp,ac,instrst,t,sim)    tourism indicators (annual % growth from t-1)

  trstindic2(kgdp,acrep,instrst,t,sim)    tourism indicators (level)
  trstindic2XP(kgdp,acrep,instrst,t,sim)    tourism indicators (% deviation from base in t)
  trstindic2XPP(kgdp,acrep,instrst,sim)    tourism indicators (avg annual % growth tmin – tmax)
  trstindic2XPPREP(kgdp,acrep,instrst,sim)    tourism indicators (avg annual % growth tminrep – tmaxrep)
  trstindic2XPY(kgdp,acrep,instrst,t,sim)    tourism indicators (annual % growth from t-1)


  emiindic(emicol,ac,t,sim)    emissions indicators (level)
  emiindicXP(emicol,ac,t,sim)    emissions indicators (% deviation from base in t)
  emiindicXPP(emicol,ac,sim)    emissions indicators (avg annual % growth tmin – tmax)
  emiindicXPPREP(emicol,ac,sim)    emissions indicators (avg annual % growth tminrep – tmaxrep)
  emiindicXPY(emicol,ac,t,sim)    emissions indicators (annual % growth from t-1)

  emiindic2(emicol,acrep,t,sim)    emissions indicators agg (level)
  emiindic2XP(emicol,acrep,t,sim)    emissions indicators agg (% deviation from base in t)
  emiindic2XPP(emicol,acrep,sim)    emissions indicators agg (avg annual % growth tmin – tmax)
  emiindic2XPPREP(emicol,acrep,sim)    emissions indicators agg (avg annual % growth tminrep – tmaxrep)
  emiindic2XPY(emicol,acrep,t,sim)    emissions indicators agg (annual % growth from t-1)

  emicindic(emicol,ac,ac,t,sim)    emissions indicators by commodity use (level)
  emicindicXP(emicol,ac,ac,t,sim)    emissions indicators by commodity use (% deviation from base in t)
  emicindicXPP(emicol,ac,ac,sim)    emissions indicators by commodity use (avg annual % growth tmin – tmax)
  emicindicXPPREP(emicol,ac,ac,sim)    emissions indicators by commodity use (avg annual % growth tminrep – tmaxrep)
  emicindicXPY(emicol,ac,ac,t,sim)    emissions indicators by commodity use (annual % growth from t-1)

  emicindic2(emicol,ac,acrep,t,sim)    emissions indicators by commodity use (level)
  emicindic2XP(emicol,ac,acrep,t,sim)    emissions indicators by commodity use (% deviation from base in t)
  emicindic2XPP(emicol,ac,acrep,sim)    emissions indicators by commodity use (avg annual % growth tmin – tmax)
  emicindic2XPPREP(emicol,ac,acrep,sim)    emissions indicators by commodity use (avg annual % growth tminrep – tmaxrep)
  emicindic2XPY(emicol,ac,acrep,t,sim)    emissions indicators by commodity use (annual % growth from t-1)

  qtrstbX(c,instrst,t,sim)     (level)
  qtrstbXP(c,instrst,t,sim)     (% deviation from base in t)
  qtrstbXPP(c,instrst,sim)     (avg annual % growth tmin – tmax)
  qtrstbXPPREP(c,instrst,sim)     (avg annual % growth tminrep – tmaxrep)
  qtrstbXPY(c,instrst,t,sim)     (annual % growth from t-1)

  uerat2X(ac,t,sim)    narrowly defined unemployment rate (level)
  uerat2XP(ac,t,sim)    narrowly defined unemployment rate (% deviation from base in t)
  uerat2XPP(ac,sim)    narrowly defined unemployment rate (avg annual % growth tmin – tmax)
  uerat2XPPREP(ac,sim)    narrowly defined unemployment rate (avg annual % growth tminrep – tmaxrep)
  uerat2XPY(ac,t,sim)    narrowly defined unemployment rate (annual % growth from t-1)

  qhpc2X(ac,t,sim)    household per capita consumption (level) (level)
  qhpc2XP(ac,t,sim)    household per capita consumption (level) (% deviation from base in t)
  qhpc2XPP(ac,sim)    household per capita consumption (level) (avg annual % growth tmin – tmax)
  qhpc2XPPREP(ac,sim)    household per capita consumption (level) (avg annual % growth tminrep – tmaxrep)
  qhpc2XPY(ac,t,sim)    household per capita consumption (level) (annual % growth from t-1)

  yhpcX(ac,t,sim)    household per capita income (level) (level)
  yhpcXP(ac,t,sim)    household per capita income (level) (% deviation from base in t)
  yhpcXPP(ac,sim)    household per capita income (level) (avg annual % growth tmin – tmax)
  yhpcXPPREP(ac,sim)    household per capita income (level) (avg annual % growth tminrep – tmaxrep)
  yhpcXPY(ac,t,sim)    household per capita income (level) (annual % growth from t-1)

  qva2X(a,t,sim)    intermediate variable to compute tfpa (output with constant productivity indexes) (level) (level)
  qva2XP(a,t,sim)    intermediate variable to compute tfpa (output with constant productivity indexes) (level) (% deviation from base in t)
  qva2XPP(a,sim)    intermediate variable to compute tfpa (output with constant productivity indexes) (level) (avg annual % growth tmin – tmax)
  qva2XPPREP(a,sim)    intermediate variable to compute tfpa (output with constant productivity indexes) (level) (avg annual % growth tminrep – tmaxrep)
  qva2XPY(a,t,sim)    intermediate variable to compute tfpa (output with constant productivity indexes) (level) (annual % growth from t-1)

  tfpaX(a,t,sim)    activity-specific implied total factor productivity (level) (level)
  tfpaXP(a,t,sim)    activity-specific implied total factor productivity (level) (% deviation from base in t)
  tfpaXPP(a,sim)    activity-specific implied total factor productivity (level) (avg annual % growth tmin – tmax)
  tfpaXPPREP(a,sim)    activity-specific implied total factor productivity (level) (avg annual % growth tminrep – tmaxrep)
  tfpaXPY(a,t,sim)    activity-specific implied total factor productivity (level) (annual % growth from t-1)

  tfpatotX(t,sim)    overall implied total factor productivity (level) (level)
  tfpatotXP(t,sim)    overall implied total factor productivity (level) (% deviation from base in t)
  tfpatotXPP(sim)    overall implied total factor productivity (level) (avg annual % growth tmin – tmax)
  tfpatotXPPREP(sim)    overall implied total factor productivity (level) (avg annual % growth tminrep – tmaxrep)
  tfpatotXPY(t,sim)    overall implied total factor productivity (level) (annual % growth from t-1)
  

  
  
* model status 
  modsolstat(solcol,t,sim)
  modsolwarn(t,sim)
  
  qdeforbx(lndfortot,t,sim)                 deforestation
  
  tq01x(c,sim)                    0-1 parameter for flexing rate of sales tax                  
  ty01x(ins,sim)                           0-1 parameter for flexing rate of income tax for domest non-gov inst ins                  

  qgbX(c,t,sim)                   qnty of government demand for commodity c
  dkinsbX(ins2,ac,t,sim)          investment in sector inv
  trnsfrbX(ac,ins,t,sim)          transfers from ins to ac

  urntx(maccol,t,sim)              unit rents natural resources
  ddkinsx(ins2,ac,t,sim)          absolute change in exog real gross fixed capital formation fcap for govz and ngovz

  wfrealx(f,t,sim)
  wfax(f,a,t,sim)
  wfarealx(f,a,t,sim)
  wfa2x(ac,acrep,t,sim)
  
  wage11(ac,t,sim)                 average wage in LCU per worker

  tmbX(c,r,t,sim)                 import tariff rate for commodity c

  kggdpx(ac,t,sim)                 gov capital-to-gdp ratio
  capgdpx(t,sim)                   non-gov capital-to-gdp ratio

  tstarX(c,r,t,sim)                tariff rate for commodity c in country r
  tstarXP(c,r,t,sim)               tariff rate for commodity c in country r
  tstarCC(c,r,t,sim)               absolute change in tariff rate for commodity c in country r

  qggdp(ac,t,sim)                  gov consumption-to-gdp ratio

  qfsexogx(f,t,sim)
  dqfsexogx(f,t,sim)
  
  gapgdpexpindic(t,sim)
                                                
  SIMSAM(ac,acp,t,sim)                          SAM defined using simulation results
  simsambalchk(ac,t,sim)                        simsam account surplus (row less column total)
  errsimsambalchk(ac,t,sim)
  simsamgdp(ac,acp,t,sim)                       SAM defined using simulation results (percent of GDP)

  taxstruc(ac,taxcol,t,sim)                     tax structure
  taxstrucdis(ac,ac,c,taxcol,t,sim)  tax structure disag

  sectorstruc(ac,sectorcol,t,sim)               sectoral structure
  sectorstruc2(acrep,sectorcol,t,sim)           sectoral structure agg

  fiscalindic(fiscalcol,kgdp,t,sim)             fiscal indicators
  errfiscalindic1(t,sim)                        if =UNDF imbalance between GovSav and (IncCur-Total - SpndCur-Total)
  errfiscalindic2(t,sim)                        if =UNDF imbalance between Inc-Total and Spnd-Total

  ssecindic(sseccol,kgdp,t,sim)                 social security indicators
  errssecindic1(t,sim)                        if =UNDF imbalance between SavSSEC and (IncCurSSEC-Total - SpndCurSSEC-Total)


  bopindic(bopcol,kgdp,t,sim)                   balance of payments
  errbopindic1(t,sim)                           if =UNDF imbalance between InCur-RowSav and InCap-Total
  errbopindic2(t,sim)                           if =UNDF imablance between InCur-Total and OutCur-Total

  demstruc(kgdp,ac,demcol,t,sim)                demand structure
  demstruc2(kgdp,acrep,demcol,t,sim)            demand structure
  demstrucdet(kgdp,ac,ac,t,sim)             demand structure detailed          
          
  facdemstruc(ac,ac,t,sim)                      factor demand structure by activity
  facdemstruc2(acrep,acrep,t,sim)                  factor demand structure by activity

  labordemstruc(ac,ac,t,sim)                 structure of labor demand by sector
  labordemstruc2(acrep,acrep,t,sim)          structure of labor demand by sector (aggregated activities)
  employsectorstruc(ac,ac,t,sim)             sectoral structure of employment
  employsectorstruc2(acrep,acrep,t,sim)      sectoral structure of employment (aggregated activities)


  actvashr(kgdp,ac,t,sim)                       sectoral value added share
  actvashr2(kgdp,acrep,t,sim)                   sectoral value added share     

  actashr(kgdp,ac,t,sim)                       sectoral value added share
  actashr2(kgdp,acrep,t,sim)                   sectoral value added share     
                                                
  ev(ac,t,sim)                                   equivalent variation
  cv(ac,t,sim)                                   compensatory variation
                                                
  MACROSAM(ac2,ac2p,t,sim)                      macro sam defined using simulation results
  macrosambalchk(ac2,t,sim)                     macrosam account surplus (row less column total)
                                                
  MACROSAMF(ac2,ac2p,t,sim)                     same as MACROSAM but with factor disaggregation
  macrosamfbalchk(ac2,t,sim)                    macrosam account surplus (row less column total)
                                                
  
  tradindic(ac,acp,tradcol,t,sim)               bilateral trade
  tradindicXP(ac,acp,tradcol,t,sim)             bilateral trade

  tradindic2(acrep,acrep,tradcol,t,sim)         bilateral trade agg
  tradindic2XP(acrep,acrep,tradcol,t,sim)       bilateral trade agg
                                                
  tariffstruc2(acrep,acrep,t,sim)               aranceles bilaterales agg -- avg simple
  tariffstruc(c,r,ac,t,sim)                     aranceles bilaterales -- avg simple
                                                
  investindic(ac,kgdp,t,sim)                    investment indicators
  investindicXP(ac,kgdp,t,sim)                  investment indicators
  
  incomedistindic(inccol,ac,t,sim)           income distribution indicators
  
  elestruc(ac,elecol,t,sim)
  elestrucXP(ac,elecol,t,sim)

  qeqdratx(sim,c,t)
  tuseX(sim,c,ac,t)                tax rate on use of commodity c by user ac

  mpkX(ac,fcap,t,sim)                        marginal product in act a per unit of additional capital stock fcap
  mpcapgovX(fcap,sim)         marginal product of capital fcap
  mtfpX(a,fcap,sim)           mapping - TFP in activity a affected by capital stock fcap (with rel value indicating strength of effect)

  
  debtindic(debtcol,t,sim)
  
  incomestruc(inccol,ac,ac,t,sim)            income sources by institution
  incomestrucXP(inccol,ac,ac,t,sim)          income sources by institution
  incomestruc2(inccol,acrep,acrep,t,sim)     income structure by institution (aggregated inst and income sources)
  errincomestruc(ins,t,sim)
 

  spndstruc(spndcol,ac,ac,t,sim)                 spending structure by institution

  coststruc(ac,ac,t,sim)                         cost structure by activity

  
  landuseindic(kgdp,lnd,t,sim)                      land use indicators
  landuseindicXP(kgdp,lnd,t,sim)                      land use indicators
  errlanduseindic(lnd,t,sim)                        if =UNDF land use indicator LE 0
  errlanduseindic2(lnd,t,sim)                        if = UNDF fortot NE fornprod plus forplant
  
  landusetotindic(kgdp,acfor,t,sim)               land use indicators (total)
  landusetotindicXP(kgdp,acfor,t,sim)               land use indicators (total)
  landusetotindicDD(kgdp,acfor,t,sim)               land use indicators (total)
  
  emiconvindicX(ac,t,sim)                                    emissions from land conversion
  emiconvindicX2(ac,t,sim)                                    emissions from land conversion

  emisourcesX(ac,t,sim)   total emissions by sources (ENER - AFOLU - LULC)

  shrconv(ac,t,sim)
  shrconv2(ac,t,sim)

  iemiconvX(ac,t,sim)
  iemiconvX2(ac,t,sim)

;


DISPLAY "#### END: repsetup.inc";
